关注JEECG发展历程 关注最新动态和版本, 记录JEECG成长点滴 更新日志 - 技术支持 - 招聘英才

JEECG最新版本下载 JEECG智能开发平台 - 显著提高开发效率 常见问题 - 入门视频 - 参与开源团队

商务QQ: 69893005、3102411850 商务热线(5*8小时): 010-64808099 官方邮箱: jeecgos@163.com

查看: 363|回复: 2

jeecgboot 3.6.1 后端打包部署

[复制链接]
发表于 2024-2-18 16:43:08 | 显示全部楼层 |阅读模式

jeecgboot 3.6.1 后端打包部署 错误提示

2024-02-18 16:42:26.154 [main] ERROR org.springframework.boot.SpringApplication:821 - Application run failed org.springframework.beans.factory.UnsatisfiedDependencyException: Error creating bean with name 'miniDaoBeanScannerConfigurer' defined in class path resource [org/jeecgframework/minidao/auto/MinidaoAutoConfiguration.class]: Unsatisfied dependency expressed through method 'miniDaoBeanScannerConfigurer' parameter 0; nested exception is org.springframework.beans.factory.CannotLoadBeanClassException: Error loading class [org.jeecg.modules.demo.cloud.controller.JcloudDemoProviderController] for bean with name 'jcloudDemoProviderController' defined in URL [jar:file:/C:/Users/admin/Desktop/wf/jeecg-system-start-3.6.1.jar!/BOOT-INF/lib/jeecg-module-demo-3.6.1.jar!/org/jeecg/modules/demo/cloud/controller/JcloudDemoProviderController.class]: problem with class file or dependent class; nested exception is java.lang.UnsupportedClassVersionError: org/jeecg/modules/demo/cloud/controller/JcloudDemoProviderController has been compiled by a more recent version of the Java Runtime (class file version 53.0), this version of the Java Runtime only recognizes class file versions up to 52.0

发表于 2024-2-18 16:50:50 | 显示全部楼层

看一下java的版本,要大于17版本

 楼主| 发表于 2024-2-21 00:40:04 | 显示全部楼层

[quote][size=2][color=#999999]廖荣 发表于 2024-2-18 16:50[/color][/size] 看一下java的版本,要大于17版本

[/quote]

谢谢 是的 已处理

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表